Foreman - Bug #5140

User children taxonomies are not greyed out
04/10/2014 11:22 AM - Daniel Lobato Garcia

Status: Closed
Priority: Normal
Assignee: Joseph Magen
Category: Organizations and Locations
Target version: 1.6.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/1374
Description

When editing an user if | add a taxonomy with children taxonomies, | am allowed to add the parent and all the subtree to the same
user.

This is inconsistent with the way taxonomies work, as when | edit any taxonomy whose parent has been assigned to an user, | am
not allowed to add that user to the children taxonomy. On the locations/edit menu to be specific, in this case the users are greyed out
and on hover | see a message "This is inherited from parent”

Associated revisions

Revision 18d7939e - 07/22/2014 06:03 AM - Joseph Magen

fixes #5140 - User children taxonomies did not show tooltip 'Parent is already selected'

History

#1 - 04/13/2014 10:10 AM - Joseph Magen
- Status changed from New to Assigned

- Assignee set to Joseph Magen

https://github.com/theforeman/foreman/pull/1374

not grayed out. tooltip - 'Parent is already selected'

#2 - 04/13/2014 10:16 AM - Joseph Magen
- Status changed from Assigned to Ready For Testing

#3 - 04/14/2014 07:39 PM - Dominic Cleal

- Target version set to 1.8.4

#4 - 04/24/2014 10:22 AM - Anonymous

- Target version changed from 1.8.4 to 1.8.3

#5 - 04/24/2014 10:22 AM - Anonymous

- Target version changed from 1.8.3 to 1.8.4

#6 - 04/24/2014 10:25 AM - Anonymous

- Target version changed from 1.8.4 to 1.8.3

#7 - 05/19/2014 12:41 PM - Anonymous

- Target version changed from 1.8.3 to 1.8.2

#8 - 06/11/2014 02:56 PM - Anonymous

- Target version changed from 1.8.2 to 1.8.1

05/17/2024 1/2



https://github.com/theforeman/foreman/pull/1374

#9 - 07/07/2014 07:21 AM - Anonymous

- Target version changed from 1.8.1 to 1.8.0

#10 - 07/22/2014 06:06 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/1374 added

#11 - 07/22/2014 06:08 AM - Dominic Cleal

- translation missing: en.field_release set to 10

#12 - 07/22/2014 07:01 AM - Joseph Magen
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 18d7939e477781673614436b7e2fcfd461{8095f.
